kind: ConfigMap
apiVersion: v1
metadata:
  name: nginx-ingress-custom-config
  namespace: nginx-ingress
data:
  worker-processes: "12"
  worker-connections: "100000"
  worker-rlimit-nofile: "102400"
  worker-cpu-affinity: "auto 111111111111111111111111"
  keepalive: "200"
  main-template: |
    user nginx;
    worker_processes  {{.WorkerProcesses}};
    {{- if .WorkerRlimitNofile}}
    worker_rlimit_nofile {{.WorkerRlimitNofile}};{{end}}
    {{- if .WorkerCPUAffinity}}
    worker_cpu_affinity {{.WorkerCPUAffinity}};{{end}}
    {{- if .WorkerShutdownTimeout}}
    worker_shutdown_timeout {{.WorkerShutdownTimeout}};{{end}}
    daemon off;

    error_log  /var/log/nginx/error.log {{.ErrorLogLevel}};
    pid        /var/run/nginx.pid;

    {{- if .MainSnippets}}
    {{range $value := .MainSnippets}}
    {{$value}}{{end}}
    {{- end}}

    events {
        worker_connections  {{.WorkerConnections}};
    }

    http {
        include       /etc/nginx/mime.types;
        default_type  application/octet-stream;
        sendfile        on;
        access_log  off;
        tcp_nopush  on;
        tcp_nodelay on;
        keepalive_timeout  315;
        keepalive_requests 10000000;
        #gzip  on;
    }
